Import('pymodule')

env = Environment()
env.Append(BUILDERS = {'Copy':Builder(action=Copy('$TARGET','$SOURCE'), single_source=True)})
files = [
	'boxes.py', 'buddha.py', 'bunny.py', 'car.py', 'dragon.py',
	'spheres_ao.py', 'spheres_glass.py', 'spheres_shadow.py',
	'triangles_monkey.py', 'triangles_sphere.py',
	'objreader.py', 'plyreader.py', 'lworeader.py',
	'vector.py', 'render_nff.py', 'demo_PIL.py']

l = []
for file in files:
	l.append( env.Copy('#build/demos/'+file, file) )

import os
l.append( env.Copy('#build/demos/'+str(pymodule[0]).split(os.sep)[-1], str(pymodule[0])) )

env.Alias('python-demos', l)
